# fn() arrayConstruct
Construct objects in a given memory buffer.

Defined in | <seqan/basic.h>
Signature | `void arrayConstruct(begin, end[, value]);`

## Parameters

`begin` | Iterator to the begin of the range that is to be constructed.
`end` | Iterator behind the end of the range.
`value` | Argument that is forwarded to the constructor. An appropriate constructor is required. If `value` is not specified, the default constructor is used.

## Detailed Description

The type of the constructed Objects is the value type of `begin` and `end`.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @fn arrayConstruct
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Construct objects in a given memory buffer.
     *
     * @signature void arrayConstruct(begin, end[, value]);
     *
     * @param[in] begin Iterator to the begin of the range that is to be
     *                  constructed.
     * @param[in] end Iterator behind the end of the range.
     * @param[in] value Argument that is forwarded to the constructor. An
     *                  appropriate constructor is required. If <tt>value</tt> is
     *                  not specified, the default constructor is used.
     *
     * The type of the constructed Objects is the value type of <tt>begin</tt> and
     * <tt>end</tt>.
     */